%define major     2
%define libname   %mklibname fuzzy %{major}
%define develname %mklibname fuzzy -d

Summary:        Tool for computing context triggered piecewise hashes (CTPH)
Name:           ssdeep
Version:        2.14.1
Release:        %mkrel 3
License:        GPLv2
Group:          File tools
URL:            https://ssdeep-project.github.io/ssdeep/
Source:         https://github.com/ssdeep-project/ssdeep/releases/download/release-%{version}/ssdeep-%{version}.tar.gz

%description
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies. Such
inputs have sequences of identical bytes in the same order, although bytes in
between these sequences may be different in both content and length.

%package -n     %{libname}
Summary:        Shared library for ssdeep
Group:          System/Libraries

%description -n %{libname}
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies. Such
inputs have sequences of identical bytes in the same order, although bytes in
between these sequences may be different in both content and length.

This package provides the shared library for ssdeep (-lfuzzy)

%package -n     %{develname}
Summary:        Development and documentation files for ssdeep
Group:          Development/C
Requires:       %{libname} >= %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       fuzzy-devel = %{version}-%{release}

%description -n %{develname}
ssdeep is a program for computing context triggered piecewise hashes (CTPH).
Also called fuzzy hashes, CTPH can match inputs that have homologies. Such
inputs have sequences of identical bytes in the same order, although bytes in
between these sequences may be different in both content and length.

This package provides the development libraries, header files and documentation
for ssdeep.

%prep
%setup -q

%build
%configure \
    --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/ssdeep
%{_mandir}/man1/ssdeep.1*

%files -n %{libname}
%doc AUTHORS ChangeLog README FILEFORMAT NEWS README TODO
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.14.1-3.mga8
+ Revision: 1517162
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.14.1-2.mga7
+ Revision: 1301167
- Mageia 7 Mass Rebuild

* Sun Dec 31 2017 daviddavid <daviddavid> 2.14.1-1.mga7
+ Revision: 1188299
- new version: 2.14.1
- update URL and Source URL
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 17 2015 oden <oden> 2.13-1.mga6
+ Revision: 903768
- 2.13

* Wed Oct 15 2014 umeabot <umeabot> 2.9-4.mga5
+ Revision: 741316
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9-3.mga5
+ Revision: 689317
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.9-2.mga4
+ Revision: 523903
- Mageia 4 Mass Rebuild

* Sun May 26 2013 oden <oden> 2.9-1.mga4
+ Revision: 427947
- imported package ssdeep


* Wed May 01 2013 Oden Eriksson <oeriksson@mandriva.com> 2.9-1.mga2
- initial Mageia package
